#include "./profinet/profinet_cb_alarm_cnf.hpp"
#include "./profinet/profinet.hpp"

int profinet_cb_alarm_cnf (
    pnet_t * net,
    void * arg,
    uint32_t arep,
    const pnet_pnio_status_t * p_pnio_status)
{
    Profinet * const profinet_ptr = static_cast<Profinet*>(arg);
    
    return profinet_ptr->callbackAlarmCnf(arep, p_pnio_status);
}